using UnityEngine;
using System.Collections;

public class BaseStatAddOn : MonoBehaviour {

	[SerializeField]
	public float extraValue;

	[SerializeField]
	public int tapsLeft;

	public virtual void OnTap()
	{
		tapsLeft--;
		if(tapsLeft <= 0)
		{
			Destroy(this);
		}
	}
}
